
<!DOCTYPE html>
<!--
 Generated by Apache Maven Doxia at 2016-11-29
 Rendered using Reflow Maven Skin 1.1.1 (http://andriusvelykis.github.io/reflow-maven-skin)
-->
<html  xml:lang="en" lang="en">

	<head>
		<meta charset="UTF-8" />
		<title>Change Log Report | org.eclipse.papyrus.designer.transformation.library</title>
		<meta name="viewport" content="width=device-width, initial-scale=1.0" />
		<meta name="description" content="" />
		<meta http-equiv="content-language" content="en" />
 
		<link href="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//css/bootstrap.min.css" rel="stylesheet" />
		<link href="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//css/bootstrap-responsive.min.css" rel="stylesheet" />
		<link href="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//css/docs.css" rel="stylesheet" />
		<link href="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//css/reflow-skin.css" rel="stylesheet" />


		<link href="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//css/lightbox.css" rel="stylesheet" />

		<link href="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//css/site.css" rel="stylesheet" />
		<link href="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//css/print.css" rel="stylesheet" media="print" />

		<!-- Le HTML5 shim, for IE6-8 support of HTML5 elements -->
		<!--[if lt IE 9]>
			<script src="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//js/html5.js"></script>
		<![endif]-->


		
<link rel="stylesheet" href="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//css/highlightjs/default.min.css"></link>
<script src="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//js/highlight.min.js"></script>
	</head>

	<body class="page-changelog project-orgeclipsepapyrusdesignertransformationlibrary" data-spy="scroll" data-offset="60" data-target="#toc-scroll-target">

		<div class="navbar navbar-fixed-top">
			<div class="navbar-inner">
				<div class="container">
					<a class="btn btn-navbar" data-toggle="collapse" data-target="#top-nav-collapse">
						<span class="icon-bar"></span>
						<span class="icon-bar"></span>
						<span class="icon-bar"></span>
					</a>
					<a class="brand" href="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging/index.html">Papyrys <span class="color-highlight">Designer</span> Project</a>
					<div class="nav-collapse collapse" id="top-nav-collapse">
						<ul class="nav pull-right">
							<li ><a href="http://www.eclipse.org/papyrus" title="Papyrus" target="_blank" class="externalLink">Papyrus</a></li>
							<li class="dropdown">
								<a href="#" class="dropdown-toggle" data-toggle="dropdown">Modules <b class="caret"></b></a>
								<ul class="dropdown-menu">
								</ul>
							</li>
							<li class="dropdown">
								<a href="#" class="dropdown-toggle" data-toggle="dropdown">Parent <b class="caret"></b></a>
								<ul class="dropdown-menu">
									<li ><a href="../index.html" title="Designer transformation">Designer transformation</a></li>
								</ul>
							</li>
							<li class="dropdown">
								<a href="#" class="dropdown-toggle" data-toggle="dropdown">Documentation <b class="caret"></b></a>
								<ul class="dropdown-menu">
									<li ><a href="../../developer/index.html" title="Developer">Developer</a></li>
									<li ><a href="../../pdf/developer-guide.pdf" title="Dev book pdf" target="_blank">Dev book pdf</a></li>
									<li ><a href="../../user/index.html" title="User">User</a></li>
									<li ><a href="../../pdf/user-guide.pdf" title="User book pdf" target="_blank">User book pdf</a></li>
								</ul>
							</li>
						</ul>
					</div><!--/.nav-collapse -->
				</div>
			</div>
		</div>

	<div class="container">

	<!-- Masthead
	================================================== -->

	<header>
	<div class="jumbotron subhead">
		<div class="row" id="banner">
			<div class="span12">
				<div class="pull-left">
					<a href="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging/index.html" id="bannerLeft"><h1>Eclipse <span class="color-highlight">Papyrus Designer</span> project</h1></a>
					<p class="lead">from design models to implementation.</p>
				</div>
				<div class="pull-right">
				</div>
			</div>
		</div>
	</div>
		<div>
			<ul class="breadcrumb">
				<li><a href="../../" title="Designer">Designer</a></li>
				<li class="divider">/</li>
				<li><a href="../" title="Designer transformation">Designer transformation</a></li>
				<li class="divider">/</li>
				<li><a href="./" title="org.eclipse.papyrus.designer.transformation.library">org.eclipse.papyrus.designer.transformation.library</a></li>
				<li class="divider">/</li>
				<li>Change Log Report</li>
			</ul>
		</div>
		<hr class="toc-separator" />
		<div id="toc-bar" class="navbar" data-spy="affix" data-offset-top="250">
			<div class="navbar-inner">
				<div id="toc-scroll-target" class="container">
					<a class="btn btn-navbar" data-toggle="collapse" data-target="#toc-nav-collapse">
						<span class="icon-bar"></span>
						<span class="icon-bar"></span>
						<span class="icon-bar"></span>
					</a>
					<div class="nav-collapse collapse" id="toc-nav-collapse">
						<ul id="toc" class="nav">
						<li class="toplevel"><a href="#Change_Log_Report" title="Change Log Report">Change Log Report</a></li>
						<li class="toplevel"><a href="#Changes_between_2016-10-30_and_2016-11-30" title="Changes between 2016-10-30 and 2016-11-30">Changes between 2016-10-30 and 2016-11-30</a></li>
						</ul>
					</div>
				</div>
			</div>
		</div>
	</header>

	<div class="main-body">
	<div class="row">
		<div class="span12">
			<div class="body-content">
<div class="section"> 
 <div class="page-header">
  <h2 id="Change_Log_Report">Change Log Report</h2>
 </div> 
 <p>Total number of changed sets: 1</p> 
 <div class="section"> 
  <h3 id="Changes_between_2016-10-30_and_2016-11-30">Changes between 2016-10-30 and 2016-11-30</h3> 
  <p>Total commits: 3<br />Total number of files changed: 7</p> 
  <table border="0" class="bodyTable table table-striped table-hover"> 
   <thead> 
    <tr class="a"> 
     <th>Timestamp</th> 
     <th>Author</th> 
     <th>Details</th> 
    </tr> 
   </thead> 
   <tbody> 
    <tr class="b"> 
     <td>2016-11-28 13:57:43</td> 
     <td>Mahmoud Hussein &lt;mahmoud.hussein@cea.fr&gt;</td> 
     <td><a class="externalLink" href="https://git.eclipse.org/c/papyrus/org.eclipse.papyrus-designer.git/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.library/transformation/org.eclipse.papyrus.designer.transformation.library/src/org/eclipse/papyrus/designer/transformation/library/transformations/CreateAndConfigureProject.java">transformation/org.eclipse.papyrus.designer.transformation.library/src/org/eclipse/papyrus/designer/transformation/library/transformations/<b>CreateAndConfigureProject.java</b></a> <a class="externalLink" href="https://git.eclipse.org/c/papyrus/org.eclipse.papyrus-designer.git/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.library/transformation/org.eclipse.papyrus.designer.transformation.library/src/org/eclipse/papyrus/designer/transformation/library/transformations/CreateAndConfigureProject.java?rev=27f907e98a9cb9e86c3596680fe26636277ea494&amp;content-type=text/vnd.viewcvs-markup">v 27f907e98a9cb9e86c3596680fe26636277ea494</a><br /><br />Bug 507166 - [Designer][Generator] NullPointerException during project<br />generation without transformation chain<br /><br />The ILangProjectSupport interface is changed by adding a method for<br />creating a project that takes the model root as an input. The C++ and<br />Java project support are changed accordingly.<br /><br />Change-Id: Iaff5b5637b3321900a7d29b1b622481aa2925e3f<br />Signed-off-by: Mahmoud Hussein &lt;mahmoud.hussein@cea.fr&gt;</td> 
    </tr> 
    <tr class="a"> 
     <td>2016-11-24 18:03:18</td> 
     <td>Ansgar Radermacher &lt;ansgar.radermacher@cea.fr&gt;</td> 
     <td><a class="externalLink" href="https://git.eclipse.org/c/papyrus/org.eclipse.papyrus-designer.git/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.library/transformation/org.eclipse.papyrus.designer.transformation.library/models/library/statemachine.uml">transformation/org.eclipse.papyrus.designer.transformation.library/models/library/<b>statemachine.uml</b></a> <a class="externalLink" href="https://git.eclipse.org/c/papyrus/org.eclipse.papyrus-designer.git/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.library/transformation/org.eclipse.papyrus.designer.transformation.library/models/library/statemachine.uml?rev=387c240a7e104410c01b65932cec6f3af0e1d07f&amp;content-type=text/vnd.viewcvs-markup">v 387c240a7e104410c01b65932cec6f3af0e1d07f</a><br /><a class="externalLink" href="https://git.eclipse.org/c/papyrus/org.eclipse.papyrus-designer.git/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.library/transformation/org.eclipse.papyrus.designer.transformation.library/models/library/trafos.notation">transformation/org.eclipse.papyrus.designer.transformation.library/models/library/<b>trafos.notation</b></a> <a class="externalLink" href="https://git.eclipse.org/c/papyrus/org.eclipse.papyrus-designer.git/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.library/transformation/org.eclipse.papyrus.designer.transformation.library/models/library/trafos.notation?rev=387c240a7e104410c01b65932cec6f3af0e1d07f&amp;content-type=text/vnd.viewcvs-markup">v 387c240a7e104410c01b65932cec6f3af0e1d07f</a><br /><a class="externalLink" href="https://git.eclipse.org/c/papyrus/org.eclipse.papyrus-designer.git/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.library/transformation/org.eclipse.papyrus.designer.transformation.library/models/library/trafos.uml">transformation/org.eclipse.papyrus.designer.transformation.library/models/library/<b>trafos.uml</b></a> <a class="externalLink" href="https://git.eclipse.org/c/papyrus/org.eclipse.papyrus-designer.git/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.library/transformation/org.eclipse.papyrus.designer.transformation.library/models/library/trafos.uml?rev=387c240a7e104410c01b65932cec6f3af0e1d07f&amp;content-type=text/vnd.viewcvs-markup">v 387c240a7e104410c01b65932cec6f3af0e1d07f</a><br /><a class="externalLink" href="https://git.eclipse.org/c/papyrus/org.eclipse.papyrus-designer.git/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.library/transformation/org.eclipse.papyrus.designer.transformation.library/models/wizardTemplates/DesignerCBModel.uml">transformation/org.eclipse.papyrus.designer.transformation.library/models/wizardTemplates/<b>DesignerCBModel.uml</b></a> <a class="externalLink" href="https://git.eclipse.org/c/papyrus/org.eclipse.papyrus-designer.git/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.library/transformation/org.eclipse.papyrus.designer.transformation.library/models/wizardTemplates/DesignerCBModel.uml?rev=387c240a7e104410c01b65932cec6f3af0e1d07f&amp;content-type=text/vnd.viewcvs-markup">v 387c240a7e104410c01b65932cec6f3af0e1d07f</a><br /><a class="externalLink" href="https://git.eclipse.org/c/papyrus/org.eclipse.papyrus-designer.git/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.library/transformation/org.eclipse.papyrus.designer.transformation.library/models/wizardTemplates/DesignerCBSimple.uml">transformation/org.eclipse.papyrus.designer.transformation.library/models/wizardTemplates/<b>DesignerCBSimple.uml</b></a> <a class="externalLink" href="https://git.eclipse.org/c/papyrus/org.eclipse.papyrus-designer.git/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.library/transformation/org.eclipse.papyrus.designer.transformation.library/models/wizardTemplates/DesignerCBSimple.uml?rev=387c240a7e104410c01b65932cec6f3af0e1d07f&amp;content-type=text/vnd.viewcvs-markup">v 387c240a7e104410c01b65932cec6f3af0e1d07f</a><br /><br />Bug 506201 - [Designer, components] The FCM profile needs clean-up<br /><br /> - Cleanup library models</td> 
    </tr> 
    <tr class="b"> 
     <td>2016-11-04 09:52:48</td> 
     <td>Mahmoud Hussein &lt;mahmoud.hussein@cea.fr&gt;</td> 
     <td><a class="externalLink" href="https://git.eclipse.org/c/papyrus/org.eclipse.papyrus-designer.git/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.library/transformation/org.eclipse.papyrus.designer.transformation.library/META-INF/MANIFEST.MF">transformation/org.eclipse.papyrus.designer.transformation.library/META-INF/<b>MANIFEST.MF</b></a> <a class="externalLink" href="https://git.eclipse.org/c/papyrus/org.eclipse.papyrus-designer.git/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.library/transformation/org.eclipse.papyrus.designer.transformation.library/META-INF/MANIFEST.MF?rev=5555c38f5d14a48d5eca72ed98b9fe54231638f6&amp;content-type=text/vnd.viewcvs-markup">v 5555c38f5d14a48d5eca72ed98b9fe54231638f6</a><br /><a class="externalLink" href="https://git.eclipse.org/c/papyrus/org.eclipse.papyrus-designer.git/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.library/transformation/org.eclipse.papyrus.designer.transformation.library/src/org/eclipse/papyrus/designer/transformation/library/transformations/CreateAndConfigureProject.java">transformation/org.eclipse.papyrus.designer.transformation.library/src/org/eclipse/papyrus/designer/transformation/library/transformations/<b>CreateAndConfigureProject.java</b></a> <a class="externalLink" href="https://git.eclipse.org/c/papyrus/org.eclipse.papyrus-designer.git/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.library/transformation/org.eclipse.papyrus.designer.transformation.library/src/org/eclipse/papyrus/designer/transformation/library/transformations/CreateAndConfigureProject.java?rev=5555c38f5d14a48d5eca72ed98b9fe54231638f6&amp;content-type=text/vnd.viewcvs-markup">v 5555c38f5d14a48d5eca72ed98b9fe54231638f6</a><br /><br />Bug 506683 - [designer] [generator] Change the project mappings to store<br />the user selected project name<br /><br />A new method is created in create and configure class which used for<br />changing the project mappings to to take into account the user defined<br />project name.<br /><br />Change-Id: I1a7b5f827254220b36287325e8d8e92a69fe2d5b<br />Signed-off-by: Mahmoud Hussein &lt;mahmoud.hussein@cea.fr&gt;</td> 
    </tr> 
   </tbody> 
  </table> 
 </div> 
</div>
			</div>
		</div>
	</div>
	</div>

	</div><!-- /container -->

	<!-- Footer
	================================================== -->
	<footer class="well">
		<div class="container">
			<div class="row">
				<div class="span3 bottom-nav">
					<ul class="nav nav-list">
						<li class="nav-header">DevLinks</li>
						<li >
							<a href="https://git.eclipse.org/c/papyrus/org.eclipse.papyrus-designer.git" title="SourceCode by Git" target="_blank" class="externalLink">SourceCode by Git</a>
						</li>
						<li >
							<a href="https://repo.eclipse.org/index.html#welcome" title="Repository by Nexus" target="_blank" class="externalLink">Repository by Nexus</a>
						</li>
						<li >
							<a href="https://hudson.eclipse.org/papyrus/view/Designer/" title="Integration by Hudson" target="_blank" class="externalLink">Integration by Hudson</a>
						</li>
						<li class="nav-header">References</li>
					</ul>
				</div>
				<div class="span3 bottom-nav">
					<ul class="nav nav-list">
						<li class="nav-header">Modules</li>
						<li class="nav-header">Parent</li>
						<li >
							<a href="../index.html" title="Designer transformation">Designer transformation</a>
						</li>
					</ul>
				</div>
				<div class="span3 bottom-nav">
					<ul class="nav nav-list">
						<li class="nav-header">Maven documentation</li>
						<li >
							<a href="project-info.html" title="Project Information">Project Information <i class="icon-chevron-right"></i></a>
						</li>
						<li >
							<a href="project-reports.html" title="Project Reports">Project Reports <i class="icon-chevron-down"></i></a>
							<ul class="nav nav-list">
						<li >
							<a href="xref/index.html" title="Source Xref">Source Xref</a>
						</li>
						<li >
							<a href="apidocs/index.html" title="JavaDocs">JavaDocs</a>
						</li>
						<li >
							<a href="surefire-report.html" title="Surefire Report">Surefire Report</a>
						</li>
						<li class="active">
							<a href="#" title="Change Log">Change Log</a>
						</li>
						<li >
							<a href="file-activity.html" title="File Activity">File Activity</a>
						</li>
						<li >
							<a href="dev-activity.html" title="Developer Activity">Developer Activity</a>
						</li>
							</ul>
						</li>
					</ul>
				</div>
				<div class="span3 bottom-description">
					<blockquote>Eclipse <span class="color-highlight">Papyrus Designer</span> project. Design your application as a component-based model then deploy it on heterogeneous platforms. Speed-up development through code generation of your application. Component interaction and communication code is generated automatically so you can concentrate on your business code.</blockquote>
				</div>
			</div>
		</div>
	</footer>

	<div class="container subfooter">
		<div class="row">
			<div class="span12">
				<p class="pull-right"><a href="#">Back to top</a></p>
				<p class="copyright">Copyright &copy;2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All Rights Reserved.</p>
				<p class="version-date"><span class="projectVersion">Version: 0.7.5-SNAPSHOT. </span><span class="publishDate">Last Published: 2016-11-29. </span></p>
				<p><a href="http://github.com/andriusvelykis/reflow-maven-skin" title="Reflow Maven skin">Reflow Maven skin</a> by <a href="http://andrius.velykis.lt" target="_blank" title="Andrius Velykis">Andrius Velykis</a>.</p>
			</div>
		</div>
	</div>

	<!-- Le javascript
	================================================== -->
	<!-- Placed at the end of the document so the pages load faster -->
	<script src="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//js/jquery.min.js"></script>

	<script src="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//js/bootstrap.min.js"></script>
	<script src="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//js/lightbox.min.js"></script>
	<script src="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//js/reflow-scroll.js"></script>
	
<script src="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//js/highlight.min.js"></script>
<script src="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//js/jquery.min.js"></script>
	<script src="https://hudson.eclipse.org/papyrus/view/Components/job/papyrus-components-website/ws/site-staging//js/reflow-skin.js"></script>

	</body>
</html>
